# ModularShipSystem

All of the components below need stats defined such as power draw and hull reinforcement or shield degredation.

## Systems to implement

- [X] Basic spaceship pawn
- [X] Docking using sockets
- [X] Toggles for docking UI and player control over the pawn
- [X] Data driven shop UI
- [ ] Purchase and equip from shop UI

### Base Ship Info

- [ ] Number of hardpoints
- [ ] Hull information
- [ ] Number of modules
- [ ] Supported Classes of modules
- [ ] Available upgrade slots

### Hardpoints

- [X] Various types of weaponry i.e. kinetic, energy, combo, and emp weapons
- [X] Damage output of hardpoints

### Scanner

- [X] Range and info available from a scan

### Modules

- [X] Various Module types i.e. Shields, Engines, ~~Jump Drive~~, Cargo Bays, ~~Stealth tech~~, and ~~power delivery~~

### Module upgrades

- [X] Various types of upgrades i.e. hull reinforcements, ~~shield reinforcements~~, engine upgrades, and weapons.

- [X] Move UI handling for space station to a HUD class using the interfaces to toggle everything
- [X] docking should change pawn rotation as well

### Attributions

<a href="https://www.flaticon.com/free-icons/miscellaneous" title="miscellaneous icons">Miscellaneous icons created by Ali Syaifullah - Flaticon</a>